> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Bill Categories

> Query supported bill categories by country



## OpenAPI

````yaml get /top-bill-categories
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /top-bill-categories:
    get:
      tags:
        - Bill Payments
      summary: Get Supported Bill Categories
      description: Query supported bill categories by country
      operationId: GetSupportedBillCategories
      parameters:
        - name: country
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: NG
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 08:42:13 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '1939'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"793-R9xAWm3WCtc8ofHmg/IIHw"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetBillers'
                  - example:
                      status: success
                      message: Categories fetched successfully
                      data:
                        - id: 1
                          name: Airtime
                          code: AIRTIME
                          description: Airtime
                          country_code: NG
                        - id: 2
                          name: Mobile Data Service
                          code: MOBILEDATA
                          description: Mobile Data Service
                          country_code: NG
                        - id: 3
                          name: Cable Bill Payment
                          code: CABLEBILLS
                          description: Cable Bill Payment
                          country_code: NG
                        - id: 4
                          name: Internet Service
                          code: INTSERVICE
                          description: Internet Service
                          country_code: NG
                        - id: 5
                          name: Utility Bills
                          code: UTILITYBILLS
                          description: Utility Bills
                          country_code: NG
                        - id: 6
                          name: Tax Payment
                          code: TAX
                          description: Tax Payment
                          country_code: NG
                        - id: 7
                          name: Donations
                          code: DONATIONS
                          description: Donations
                          country_code: NG
                        - id: 8
                          name: Transport and Logistics
                          code: TRANSLOG
                          description: Transport and Logistics
                          country_code: NG
                        - id: 9
                          name: Dealer Payments
                          code: DEALPAY
                          description: Dealer Payments
                          country_code: NG
                        - id: 10
                          name: Airtime
                          code: AIRTIME
                          description: Airtime
                          country_code: GH
                        - id: 11
                          name: Mobile Money
                          code: MOBILEMONEY
                          description: Mobile Money
                          country_code: GH
                        - id: 12
                          name: Airtime
                          code: AIRTIME
                          description: Airtime
                          country_code: KE
                        - id: 13
                          name: Cable Bill Payment
                          code: CABLEBILLS
                          description: Cable Bill Payment
                          country_code: KE
                        - id: 14
                          name: Utility Bills
                          code: UTILITYBILLS
                          description: Utility Bills
                          country_code: KE
                        - id: 15
                          name: Mobile Money
                          code: MOBILEMONEY
                          description: Mobile Money
                          country_code: ZM
                        - id: 16
                          name: Airtime
                          code: Airtime
                          description: Airtime
                          country_code: ZM
                        - id: 17
                          name: Religious Institutions
                          code: RELINST
                          description: Religious Institutions
                          country_code: NG
                        - id: 18
                          name: Schools & Professional Bodies
                          code: SCHPB
                          description: Schools & Professional Bodies
                          country_code: NG
              example:
                status: success
                message: Categories fetched successfully
                data:
                  - id: 1
                    name: Airtime
                    code: AIRTIME
                    description: Airtime
                    country_code: NG
                  - id: 2
                    name: Mobile Data Service
                    code: MOBILEDATA
                    description: Mobile Data Service
                    country_code: NG
                  - id: 3
                    name: Cable Bill Payment
                    code: CABLEBILLS
                    description: Cable Bill Payment
                    country_code: NG
                  - id: 4
                    name: Internet Service
                    code: INTSERVICE
                    description: Internet Service
                    country_code: NG
                  - id: 5
                    name: Utility Bills
                    code: UTILITYBILLS
                    description: Utility Bills
                    country_code: NG
                  - id: 6
                    name: Tax Payment
                    code: TAX
                    description: Tax Payment
                    country_code: NG
                  - id: 7
                    name: Donations
                    code: DONATIONS
                    description: Donations
                    country_code: NG
                  - id: 8
                    name: Transport and Logistics
                    code: TRANSLOG
                    description: Transport and Logistics
                    country_code: NG
                  - id: 9
                    name: Dealer Payments
                    code: DEALPAY
                    description: Dealer Payments
                    country_code: NG
                  - id: 10
                    name: Airtime
                    code: AIRTIME
                    description: Airtime
                    country_code: GH
                  - id: 11
                    name: Mobile Money
                    code: MOBILEMONEY
                    description: Mobile Money
                    country_code: GH
                  - id: 12
                    name: Airtime
                    code: AIRTIME
                    description: Airtime
                    country_code: KE
                  - id: 13
                    name: Cable Bill Payment
                    code: CABLEBILLS
                    description: Cable Bill Payment
                    country_code: KE
                  - id: 14
                    name: Utility Bills
                    code: UTILITYBILLS
                    description: Utility Bills
                    country_code: KE
                  - id: 15
                    name: Mobile Money
                    code: MOBILEMONEY
                    description: Mobile Money
                    country_code: ZM
                  - id: 16
                    name: Airtime
                    code: Airtime
                    description: Airtime
                    country_code: ZM
                  - id: 17
                    name: Religious Institutions
                    code: RELINST
                    description: Religious Institutions
                    country_code: NG
                  - id: 18
                    name: Schools & Professional Bodies
                    code: SCHPB
                    description: Schools & Professional Bodies
                    country_code: NG
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 08:48:41 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '77'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"4d-2N6dqplzBo2kDr8W/OgLlg"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetBillers-Errorresponse1'
                  - example:
                      status: error
                      message: Country not supported at this time
                      data: null
              example:
                status: error
                message: Country not supported at this time
                data: null
      deprecated: false
components:
  schemas:
    GetBillers:
      title: GetBillers
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data70'
          description: ''
      example:
        status: success
        message: Categories fetched successfully
        data:
          - id: 1
            name: Airtime
            code: AIRTIME
            description: Airtime
            country_code: NG
          - id: 2
            name: Mobile Data Service
            code: MOBILEDATA
            description: Mobile Data Service
            country_code: NG
          - id: 3
            name: Cable Bill Payment
            code: CABLEBILLS
            description: Cable Bill Payment
            country_code: NG
          - id: 4
            name: Internet Service
            code: INTSERVICE
            description: Internet Service
            country_code: NG
          - id: 5
            name: Utility Bills
            code: UTILITYBILLS
            description: Utility Bills
            country_code: NG
          - id: 6
            name: Tax Payment
            code: TAX
            description: Tax Payment
            country_code: NG
          - id: 7
            name: Donations
            code: DONATIONS
            description: Donations
            country_code: NG
          - id: 8
            name: Transport and Logistics
            code: TRANSLOG
            description: Transport and Logistics
            country_code: NG
          - id: 9
            name: Dealer Payments
            code: DEALPAY
            description: Dealer Payments
            country_code: NG
          - id: 10
            name: Airtime
            code: AIRTIME
            description: Airtime
            country_code: GH
          - id: 11
            name: Mobile Money
            code: MOBILEMONEY
            description: Mobile Money
            country_code: GH
          - id: 12
            name: Airtime
            code: AIRTIME
            description: Airtime
            country_code: KE
          - id: 13
            name: Cable Bill Payment
            code: CABLEBILLS
            description: Cable Bill Payment
            country_code: KE
          - id: 14
            name: Utility Bills
            code: UTILITYBILLS
            description: Utility Bills
            country_code: KE
          - id: 15
            name: Mobile Money
            code: MOBILEMONEY
            description: Mobile Money
            country_code: ZM
          - id: 16
            name: Airtime
            code: Airtime
            description: Airtime
            country_code: ZM
          - id: 17
            name: Religious Institutions
            code: RELINST
            description: Religious Institutions
            country_code: NG
          - id: 18
            name: Schools & Professional Bodies
            code: SCHPB
            description: Schools & Professional Bodies
            country_code: NG
    GetBillers-Errorresponse1:
      title: GetBillers-Errorresponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Country not supported at this time
        data: null
    Data70:
      title: Data70
      required:
        - id
        - name
        - code
        - description
        - country_code
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
        code:
          type: string
        description:
          type: string
        country_code:
          type: string
      example:
        id: 1
        name: Airtime
        code: AIRTIME
        description: Airtime
        country_code: NG
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````